<?php
//查询是否支付
require "config.php";
$m = file_get_contents("php://input");
$m = json_decode($m, true);
if(json_last_error()) die('{"msg":"Request JSON parse error."}');

$price = $m["price"];         //订单金额
$order = $m["order"];         //订单号码
$type = $m["type"];           //支付类型 1=微信，0=支付宝

//仅查询是否支付，返回给前端显示，支付成功业务逻辑应写在notify中，勿写此处！！
//此处示范为文本简易写法
$result = file_get_contents("orders/" . $order . ".txt");
echo '{"msg":"ok","result":' . $result . '}';
//数据库写法例如： $result=Select ispay From payment Where order=$order And price=$price And type=$type
//输出查询结果： echo '{"msg":"ok","result":'.$result["ispay"].'}';
?>